Index: plugins/blowupConfig/index.php
===================================================================
--- plugins/blowupConfig/index.php	(revision 3421)
+++ plugins/blowupConfig/index.php	(revision 3709)
@@ -10,75 +10,75 @@
 #
 # -- END LICENSE BLOCK -----------------------------------------
-if (!defined('DC_CONTEXT_ADMIN')) { return; }
-
-require dirname(__FILE__).'/lib/class.blowup.config.php';
+if (!defined('DC_CONTEXT_ADMIN')) {return;}
+
+require dirname(__FILE__) . '/lib/class.blowup.config.php';
 
 $can_write_images = blowupConfig::canWriteImages();
-$can_write_css = blowupConfig::canWriteCss();
+$can_write_css    = blowupConfig::canWriteCss();
 
 if ($core->error->flag()) {
-		$notices = $core->error->toHTML();
-		$core->error->reset();
+    $notices = $core->error->toHTML();
+    $core->error->reset();
 }
 
 $blowup_base = array(
-	'body_bg_c' => null,
-	'body_bg_g' => 'light',
-
-	'body_txt_f' => null,
-	'body_txt_s' => null,
-	'body_txt_c' => null,
-	'body_line_height' => null,
-
-	'top_image' => 'default',
-	'top_height' => null,
-	'uploaded' => null,
-
-	'blog_title_hide' => null,
-	'blog_title_f' => null,
-	'blog_title_s' => null,
-	'blog_title_c' => null,
-	'blog_title_a' => null,
-	'blog_title_p' => null,
-
-	'body_link_c' => null,
-	'body_link_f_c' => null,
-	'body_link_v_c' => null,
-
-	'sidebar_position' => null,
-	'sidebar_text_f' => null,
-	'sidebar_text_s' => null,
-	'sidebar_text_c' => null,
-	'sidebar_title_f' => null,
-	'sidebar_title_s' => null,
-	'sidebar_title_c' => null,
-	'sidebar_title2_f' => null,
-	'sidebar_title2_s' => null,
-	'sidebar_title2_c' => null,
-	'sidebar_line_c' => null,
-	'sidebar_link_c' => null,
-	'sidebar_link_f_c' => null,
-	'sidebar_link_v_c' => null,
-
-	'date_title_f' => null,
-	'date_title_s' => null,
-	'date_title_c' => null,
-
-	'post_title_f' => null,
-	'post_title_s' => null,
-	'post_title_c' => null,
-	'post_comment_bg_c' => null,
-	'post_comment_c' => null,
-	'post_commentmy_bg_c' => null,
-	'post_commentmy_c' => null,
-
-	'prelude_c' => null,
-	'footer_f' => null,
-	'footer_s' => null,
-	'footer_c' => null,
-	'footer_l_c' => null,
-	'footer_bg_c' => null,
-
-	'extra_css' => null
+    'body_bg_c'           => null,
+    'body_bg_g'           => 'light',
+
+    'body_txt_f'          => null,
+    'body_txt_s'          => null,
+    'body_txt_c'          => null,
+    'body_line_height'    => null,
+
+    'top_image'           => 'default',
+    'top_height'          => null,
+    'uploaded'            => null,
+
+    'blog_title_hide'     => null,
+    'blog_title_f'        => null,
+    'blog_title_s'        => null,
+    'blog_title_c'        => null,
+    'blog_title_a'        => null,
+    'blog_title_p'        => null,
+
+    'body_link_c'         => null,
+    'body_link_f_c'       => null,
+    'body_link_v_c'       => null,
+
+    'sidebar_position'    => null,
+    'sidebar_text_f'      => null,
+    'sidebar_text_s'      => null,
+    'sidebar_text_c'      => null,
+    'sidebar_title_f'     => null,
+    'sidebar_title_s'     => null,
+    'sidebar_title_c'     => null,
+    'sidebar_title2_f'    => null,
+    'sidebar_title2_s'    => null,
+    'sidebar_title2_c'    => null,
+    'sidebar_line_c'      => null,
+    'sidebar_link_c'      => null,
+    'sidebar_link_f_c'    => null,
+    'sidebar_link_v_c'    => null,
+
+    'date_title_f'        => null,
+    'date_title_s'        => null,
+    'date_title_c'        => null,
+
+    'post_title_f'        => null,
+    'post_title_s'        => null,
+    'post_title_c'        => null,
+    'post_comment_bg_c'   => null,
+    'post_comment_c'      => null,
+    'post_commentmy_bg_c' => null,
+    'post_commentmy_c'    => null,
+
+    'prelude_c'           => null,
+    'footer_f'            => null,
+    'footer_s'            => null,
+    'footer_c'            => null,
+    'footer_l_c'          => null,
+    'footer_bg_c'         => null,
+
+    'extra_css'           => null
 );
 
@@ -87,124 +87,115 @@
 $blowup_user = @unserialize($blowup_user);
 if (!is_array($blowup_user)) {
-	$blowup_user = array();
-}
-
-$blowup_user = array_merge($blowup_base,$blowup_user);
+    $blowup_user = array();
+}
+
+$blowup_user = array_merge($blowup_base, $blowup_user);
 
 $gradient_types = array(
-	__('Light linear gradient') => 'light',
-	__('Medium linear gradient') => 'medium',
-	__('Dark linear gradient') => 'dark',
-	__('Solid color') => 'solid'
+    __('Light linear gradient')  => 'light',
+    __('Medium linear gradient') => 'medium',
+    __('Dark linear gradient')   => 'dark',
+    __('Solid color')            => 'solid'
 );
 
 $top_images = array(__('Custom...') => 'custom');
-$top_images = array_merge($top_images,array_flip(blowupConfig::$top_images));
-
-
-if (!empty($_POST))
-{
-	try
-	{
-		$blowup_user['body_txt_f'] = $_POST['body_txt_f'];
-		$blowup_user['body_txt_s'] = dcThemeConfig::adjustFontSize($_POST['body_txt_s']);
-		$blowup_user['body_txt_c'] = dcThemeConfig::adjustColor($_POST['body_txt_c']);
-		$blowup_user['body_line_height'] = dcThemeConfig::adjustFontSize($_POST['body_line_height']);
-
-		$blowup_user['blog_title_hide'] = (integer) !empty($_POST['blog_title_hide']);
-		$update_blog_title = !$blowup_user['blog_title_hide'] && (
-			!empty($_POST['blog_title_f']) || !empty($_POST['blog_title_s']) ||
-			!empty($_POST['blog_title_c']) || !empty($_POST['blog_title_a']) ||
-			!empty($_POST['blog_title_p'])
-		);
-
-		if ($update_blog_title)
-		{
-			$blowup_user['blog_title_f'] = $_POST['blog_title_f'];
-			$blowup_user['blog_title_s'] = dcThemeConfig::adjustFontSize($_POST['blog_title_s']);
-			$blowup_user['blog_title_c'] = dcThemeConfig::adjustColor($_POST['blog_title_c']);
-			$blowup_user['blog_title_a'] = preg_match('/^(left|center|right)$/',$_POST['blog_title_a']) ? $_POST['blog_title_a'] : null;
-			$blowup_user['blog_title_p'] = dcThemeConfig::adjustPosition($_POST['blog_title_p']);
-		}
-
-		$blowup_user['body_link_c'] = dcThemeConfig::adjustColor($_POST['body_link_c']);
-		$blowup_user['body_link_f_c'] = dcThemeConfig::adjustColor($_POST['body_link_f_c']);
-		$blowup_user['body_link_v_c'] = dcThemeConfig::adjustColor($_POST['body_link_v_c']);
-
-		$blowup_user['sidebar_text_f'] = $_POST['sidebar_text_f'];
-		$blowup_user['sidebar_text_s'] = dcThemeConfig::adjustFontSize($_POST['sidebar_text_s']);
-		$blowup_user['sidebar_text_c'] = dcThemeConfig::adjustColor($_POST['sidebar_text_c']);
-		$blowup_user['sidebar_title_f'] = $_POST['sidebar_title_f'];
-		$blowup_user['sidebar_title_s'] = dcThemeConfig::adjustFontSize($_POST['sidebar_title_s']);
-		$blowup_user['sidebar_title_c'] = dcThemeConfig::adjustColor($_POST['sidebar_title_c']);
-		$blowup_user['sidebar_title2_f'] = $_POST['sidebar_title2_f'];
-		$blowup_user['sidebar_title2_s'] = dcThemeConfig::adjustFontSize($_POST['sidebar_title2_s']);
-		$blowup_user['sidebar_title2_c'] = dcThemeConfig::adjustColor($_POST['sidebar_title2_c']);
-		$blowup_user['sidebar_line_c'] = dcThemeConfig::adjustColor($_POST['sidebar_line_c']);
-		$blowup_user['sidebar_link_c'] = dcThemeConfig::adjustColor($_POST['sidebar_link_c']);
-		$blowup_user['sidebar_link_f_c'] = dcThemeConfig::adjustColor($_POST['sidebar_link_f_c']);
-		$blowup_user['sidebar_link_v_c'] = dcThemeConfig::adjustColor($_POST['sidebar_link_v_c']);
-
-		$blowup_user['sidebar_position'] = ($_POST['sidebar_position'] == 'left') ? 'left' : null;
-
-		$blowup_user['date_title_f'] = $_POST['date_title_f'];
-		$blowup_user['date_title_s'] = dcThemeConfig::adjustFontSize($_POST['date_title_s']);
-		$blowup_user['date_title_c'] = dcThemeConfig::adjustColor($_POST['date_title_c']);
-
-		$blowup_user['post_title_f'] = $_POST['post_title_f'];
-		$blowup_user['post_title_s'] = dcThemeConfig::adjustFontSize($_POST['post_title_s']);
-		$blowup_user['post_title_c'] = dcThemeConfig::adjustColor($_POST['post_title_c']);
-		$blowup_user['post_comment_c'] = dcThemeConfig::adjustColor($_POST['post_comment_c']);
-		$blowup_user['post_commentmy_c'] = dcThemeConfig::adjustColor($_POST['post_commentmy_c']);
-
-
-		$blowup_user['footer_f'] = $_POST['footer_f'];
-		$blowup_user['footer_s'] = dcThemeConfig::adjustFontSize($_POST['footer_s']);
-		$blowup_user['footer_c'] = dcThemeConfig::adjustColor($_POST['footer_c']);
-		$blowup_user['footer_l_c'] = dcThemeConfig::adjustColor($_POST['footer_l_c']);
-		$blowup_user['footer_bg_c'] = dcThemeConfig::adjustColor($_POST['footer_bg_c']);
-
-
-		$blowup_user['extra_css'] = dcThemeConfig::cleanCSS($_POST['extra_css']);
-
-		if ($can_write_images)
-		{
-			$uploaded = null;
-			if ($blowup_user['uploaded'] && is_file(blowupConfig::imagesPath().'/'.$blowup_user['uploaded'])) {
-				$uploaded = blowupConfig::imagesPath().'/'.$blowup_user['uploaded'];
-			}
-
-			if (!empty($_FILES['upfile']) && !empty($_FILES['upfile']['name'])) {
-				files::uploadStatus($_FILES['upfile']);
-				$uploaded = blowupConfig::uploadImage($_FILES['upfile']);
-				$blowup_user['uploaded'] = basename($uploaded);
-			}
-
-			$blowup_user['top_image'] = in_array($_POST['top_image'],$top_images) ? $_POST['top_image'] : 'default';
-
-			$blowup_user['body_bg_c'] = dcThemeConfig::adjustColor($_POST['body_bg_c']);
-			$blowup_user['body_bg_g'] = in_array($_POST['body_bg_g'],$gradient_types) ? $_POST['body_bg_g'] : '';
-			$blowup_user['post_comment_bg_c'] = dcThemeConfig::adjustColor($_POST['post_comment_bg_c']);
-			$blowup_user['post_commentmy_bg_c'] = dcThemeConfig::adjustColor($_POST['post_commentmy_bg_c']);
-			$blowup_user['prelude_c'] = dcThemeConfig::adjustColor($_POST['prelude_c']);
-			blowupConfig::createImages($blowup_user,$uploaded);
-		}
-
-		if ($can_write_css)
-		{
-			blowupConfig::createCss($blowup_user);
-		}
-
-		$core->blog->settings->addNamespace('themes');
-		$core->blog->settings->themes->put('blowup_style',serialize($blowup_user));
-		$core->blog->triggerBlog();
-
-		dcPage::addSuccessNotice(__('Theme configuration has been successfully updated.'));
-		http::redirect($p_url);
-	}
-	catch (Exception $e)
-	{
-		$core->error->add($e->getMessage());
-	}
+$top_images = array_merge($top_images, array_flip(blowupConfig::$top_images));
+
+if (!empty($_POST)) {
+    try
+    {
+        $blowup_user['body_txt_f']       = $_POST['body_txt_f'];
+        $blowup_user['body_txt_s']       = dcThemeConfig::adjustFontSize($_POST['body_txt_s']);
+        $blowup_user['body_txt_c']       = dcThemeConfig::adjustColor($_POST['body_txt_c']);
+        $blowup_user['body_line_height'] = dcThemeConfig::adjustFontSize($_POST['body_line_height']);
+
+        $blowup_user['blog_title_hide'] = (integer) !empty($_POST['blog_title_hide']);
+        $update_blog_title              = !$blowup_user['blog_title_hide'] && (
+            !empty($_POST['blog_title_f']) || !empty($_POST['blog_title_s']) ||
+            !empty($_POST['blog_title_c']) || !empty($_POST['blog_title_a']) ||
+            !empty($_POST['blog_title_p'])
+        );
+
+        if ($update_blog_title) {
+            $blowup_user['blog_title_f'] = $_POST['blog_title_f'];
+            $blowup_user['blog_title_s'] = dcThemeConfig::adjustFontSize($_POST['blog_title_s']);
+            $blowup_user['blog_title_c'] = dcThemeConfig::adjustColor($_POST['blog_title_c']);
+            $blowup_user['blog_title_a'] = preg_match('/^(left|center|right)$/', $_POST['blog_title_a']) ? $_POST['blog_title_a'] : null;
+            $blowup_user['blog_title_p'] = dcThemeConfig::adjustPosition($_POST['blog_title_p']);
+        }
+
+        $blowup_user['body_link_c']   = dcThemeConfig::adjustColor($_POST['body_link_c']);
+        $blowup_user['body_link_f_c'] = dcThemeConfig::adjustColor($_POST['body_link_f_c']);
+        $blowup_user['body_link_v_c'] = dcThemeConfig::adjustColor($_POST['body_link_v_c']);
+
+        $blowup_user['sidebar_text_f']   = $_POST['sidebar_text_f'];
+        $blowup_user['sidebar_text_s']   = dcThemeConfig::adjustFontSize($_POST['sidebar_text_s']);
+        $blowup_user['sidebar_text_c']   = dcThemeConfig::adjustColor($_POST['sidebar_text_c']);
+        $blowup_user['sidebar_title_f']  = $_POST['sidebar_title_f'];
+        $blowup_user['sidebar_title_s']  = dcThemeConfig::adjustFontSize($_POST['sidebar_title_s']);
+        $blowup_user['sidebar_title_c']  = dcThemeConfig::adjustColor($_POST['sidebar_title_c']);
+        $blowup_user['sidebar_title2_f'] = $_POST['sidebar_title2_f'];
+        $blowup_user['sidebar_title2_s'] = dcThemeConfig::adjustFontSize($_POST['sidebar_title2_s']);
+        $blowup_user['sidebar_title2_c'] = dcThemeConfig::adjustColor($_POST['sidebar_title2_c']);
+        $blowup_user['sidebar_line_c']   = dcThemeConfig::adjustColor($_POST['sidebar_line_c']);
+        $blowup_user['sidebar_link_c']   = dcThemeConfig::adjustColor($_POST['sidebar_link_c']);
+        $blowup_user['sidebar_link_f_c'] = dcThemeConfig::adjustColor($_POST['sidebar_link_f_c']);
+        $blowup_user['sidebar_link_v_c'] = dcThemeConfig::adjustColor($_POST['sidebar_link_v_c']);
+
+        $blowup_user['sidebar_position'] = ($_POST['sidebar_position'] == 'left') ? 'left' : null;
+
+        $blowup_user['date_title_f'] = $_POST['date_title_f'];
+        $blowup_user['date_title_s'] = dcThemeConfig::adjustFontSize($_POST['date_title_s']);
+        $blowup_user['date_title_c'] = dcThemeConfig::adjustColor($_POST['date_title_c']);
+
+        $blowup_user['post_title_f']     = $_POST['post_title_f'];
+        $blowup_user['post_title_s']     = dcThemeConfig::adjustFontSize($_POST['post_title_s']);
+        $blowup_user['post_title_c']     = dcThemeConfig::adjustColor($_POST['post_title_c']);
+        $blowup_user['post_comment_c']   = dcThemeConfig::adjustColor($_POST['post_comment_c']);
+        $blowup_user['post_commentmy_c'] = dcThemeConfig::adjustColor($_POST['post_commentmy_c']);
+
+        $blowup_user['footer_f']    = $_POST['footer_f'];
+        $blowup_user['footer_s']    = dcThemeConfig::adjustFontSize($_POST['footer_s']);
+        $blowup_user['footer_c']    = dcThemeConfig::adjustColor($_POST['footer_c']);
+        $blowup_user['footer_l_c']  = dcThemeConfig::adjustColor($_POST['footer_l_c']);
+        $blowup_user['footer_bg_c'] = dcThemeConfig::adjustColor($_POST['footer_bg_c']);
+
+        $blowup_user['extra_css'] = dcThemeConfig::cleanCSS($_POST['extra_css']);
+
+        if ($can_write_images) {
+            $uploaded = null;
+            if ($blowup_user['uploaded'] && is_file(blowupConfig::imagesPath() . '/' . $blowup_user['uploaded'])) {
+                $uploaded = blowupConfig::imagesPath() . '/' . $blowup_user['uploaded'];
+            }
+
+            if (!empty($_FILES['upfile']) && !empty($_FILES['upfile']['name'])) {
+                files::uploadStatus($_FILES['upfile']);
+                $uploaded                = blowupConfig::uploadImage($_FILES['upfile']);
+                $blowup_user['uploaded'] = basename($uploaded);
+            }
+
+            $blowup_user['top_image'] = in_array($_POST['top_image'], $top_images) ? $_POST['top_image'] : 'default';
+
+            $blowup_user['body_bg_c']           = dcThemeConfig::adjustColor($_POST['body_bg_c']);
+            $blowup_user['body_bg_g']           = in_array($_POST['body_bg_g'], $gradient_types) ? $_POST['body_bg_g'] : '';
+            $blowup_user['post_comment_bg_c']   = dcThemeConfig::adjustColor($_POST['post_comment_bg_c']);
+            $blowup_user['post_commentmy_bg_c'] = dcThemeConfig::adjustColor($_POST['post_commentmy_bg_c']);
+            $blowup_user['prelude_c']           = dcThemeConfig::adjustColor($_POST['prelude_c']);
+            blowupConfig::createImages($blowup_user, $uploaded);
+        }
+
+        if ($can_write_css) {
+            blowupConfig::createCss($blowup_user);
+        }
+
+        $core->blog->settings->addNamespace('themes');
+        $core->blog->settings->themes->put('blowup_style', serialize($blowup_user));
+        $core->blog->triggerBlog();
+
+        dcPage::addSuccessNotice(__('Theme configuration has been successfully updated.'));
+        http::redirect($p_url);
+    } catch (Exception $e) {
+        $core->error->add($e->getMessage());
+    }
 }
 ?>
@@ -212,14 +203,14 @@
 <head>
   <title><?php echo __('Blowup configuration'); ?></title>
-  <?php echo dcPage::jsLoad(dcPage::getPF('blowupConfig/config.js')); ?>
-  <?php echo dcPage::jsColorPicker(); ?>
-  <script type="text/javascript">
   <?php
-  echo dcPage::jsVar('dotclear.blowup_public_url',blowupConfig::imagesURL());
-  echo dcPage::jsVar('dotclear.msg.predefined_styles',__('Predefined styles'));
-  echo dcPage::jsVar('dotclear.msg.apply_code',__('Apply code'));
-  echo dcPage::jsVar('dotclear.msg.predefined_style_title',__('Choose a predefined style'));
-  ?>
-  </script>
+echo dcPage::jsLoad(dcPage::getPF('blowupConfig/js/config.js'));
+echo dcPage::jsColorPicker();
+echo dcPage::jsVars(array(
+    'dotclear.blowup_public_url'          => blowupConfig::imagesURL(),
+    'dotclear.msg.predefined_styles'      => __('Predefined styles'),
+    'dotclear.msg.apply_code'             => __('Apply code'),
+    'dotclear.msg.predefined_style_title' => __('Choose a predefined style')
+));
+?>
 </head>
 
